Module javafx.controls
Package javafx.scene.control.skin

# Class TitledPaneSkin

java.lang.Object
javafx.scene.control.SkinBase<TitledPane>
javafx.scene.control.skin.LabeledSkinBase<TitledPane>
javafx.scene.control.skin.TitledPaneSkin

All Implemented Interfaces:
  `Skin<TitledPane>`

public class TitledPaneSkin extends LabeledSkinBase<TitledPane>
Default skin implementation for the `TitledPane` control.

Since:
  9
See Also:
  - `TitledPane`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TitledPaneSkin(TitledPane control)`
  Creates a new TitledPaneSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  ### Methods declared in class javafx.scene.control.skin.LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `install`

- ## Constructor Details

  - ### TitledPaneSkin

    public TitledPaneSkin(TitledPane control)
    Creates a new TitledPaneSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.